Page 2 of 2

Re: Visual Studio 2010 and .NET 4.0

Posted: Thu Apr 05, 2012 9:05 am
by Patrick
Grouplab is definitely the wrong place to look for drivers - these at like 5-6 years old. Our current libraries work with .NET 3.5.

-Patrick

Re: Visual Studio 2010 and .NET 4.0

Posted: Fri Apr 06, 2012 2:34 am
by iko79
Thanks for your your answer, Patrick.

I have no idea what the relation between Grouplab and Phidgets is/was, anyway I finally figured out what to do. It seems like a good idea to post the solution here for fellows running into the same problem in the future, and stumbling upon this thread, so here you are: you have to install the common drivers from [1] and then manually add the .NET assembly reference in your C# solution from the installation path (in the current version 2.1.8, it's called Phidget21.NET.dll), then you're ready to go. Also notice the Getting Started Guide, API Reference and samples at [2].

Generally, I would recommend updating the web sites I cited in my previous post above (if anybody responsible for the Grouplab sites reads this anyway) and to add some links, since they are the most promising google search results for "Pidgets programming in C#", and cause a lot of confusion for Phidget n00bs indeed.

Thanks and happy developing,
iko

[1] http://www.phidgets.com/drivers.php
[2] http://www.phidgets.com/programming_resources.php